package com.ffii.fhsmsc.modules.diet_records.entity;

import com.ffii.core.entity.BaseEntity;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import java.util.Date;
@Entity
@Table(name = "diet_records")
public class diet_records extends BaseEntity<Long> {
    @Column(name = "food_id")
    private Long food_id;
    @Column(name = "date")
    private Date date;
    @Column(name = "meal_type")
    private String meal_type;
    @Column(name = "size")
    private Double size;
    @Column(name = "user_id")
    private Long user_id;

    public Long getFood_id() {
        return food_id;
    }
    public void setFood_id(Long food_id) {
        this.food_id = food_id;
    }
    public Date getDate() {
        return date;
    }
    public void setDate(Date date) {
        this.date = date;
    }
    public String getMeal_type() {
        return meal_type;
    }
    public void setMeal_type(String meal_type) {
        this.meal_type = meal_type;
    }
    public Double getSize() {
        return size;
    }
    public void setSize(Double size) {
        this.size = size;
    }
    public Long getUser_id() {
        return user_id;
    }
    public void setUser_id(Long user_id) {
        this.user_id = user_id;
    }
}
